Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.querybuilder
Class BasicQueryBuilder

    java.lang.Object
      com.sun.mdm.index.querybuilder.QueryBuilder
          com.sun.mdm.index.querybuilder.BasicQueryBuilder

public class BasicQueryBuilder
extends QueryBuilder

Construct query by looking at which fields in the system object have been populated and performing a 'like %' search against string fields and an "=" search for non-string fields.

Constructor Summary
`BasicQueryBuilder()` Creates a new instance of PartialSearchQueryBuilder

Method Summary
`QueryObject` | `buildQueryObject(java.lang.String[] ids, SearchCriteria crit, SearchOptions opts)` See QueryBuilder
`java.lang.String[]` | `getApplicableQueryIds(SearchCriteria crit, SearchOptions opts)` See QueryBuilder
`void` | `init(ConfigurationInfo info)` See QueryBuilder

Methods inherited from class com.sun.mdm.index.querybuilder.QueryBuilder
`isPhoneticizeRequired, isStandardizeRequired, setPhoneticizeRequired, setStandardizeRequired`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicQueryBuilder

    public BasicQueryBuilder()

  Creates a new instance of PartialSearchQueryBuilder

Method Detail

### buildQueryObject

    public QueryObject buildQueryObject(java.lang.String[] ids,
                                        SearchCriteria crit,
                                        SearchOptions opts)
                                 throws QueryBuilderException

  See QueryBuilder

  Specified by:
    `buildQueryObject` in class `QueryBuilder`
  Parameters:
    `ids` - See QueryBuilder
    `crit` - See QueryBuilder
    `opts` - See QueryBuilder
  Returns:
    See QueryBuilder
  Throws:
    `QueryBuilderException` - See QueryBuilder

### getApplicableQueryIds

    public java.lang.String[] getApplicableQueryIds(SearchCriteria crit,
                                                    SearchOptions opts)
                                             throws QueryBuilderException

  See QueryBuilder

  Specified by:
    `getApplicableQueryIds` in class `QueryBuilder`
  Parameters:
    `crit` - See QueryBuilder
    `opts` - See QueryBuilder
  Returns:
    See QueryBuilder
  Throws:
    `QueryBuilderException` - See QueryBuilder

### init

    public void init(ConfigurationInfo info)
              throws QueryBuilderException

  See QueryBuilder

  Specified by:
    `init` in class `QueryBuilder`
  Parameters:
    `info` - See QueryBuilder
  Throws:
    `QueryBuilderException` - See QueryBuilder

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.